#include "CommandLineArgs.h"

#include "WebsiteGenerator.h"


int main(int argc, char *argv[])
{
    auto args = CommandLineArgs::Create();
    args->process(argc, argv);
    args->recordLaunchPath();
    
    WebsiteGenerator generator;
    generator.findProject(args->getArg(1));

    generator.readConfig();

    // Find and process project files
    generator.parseContentFiles();

    // Find template files
    generator.parseTemplateFiles();

    // Substitute template files

    // Write output
    generator.write();


    return 0;
}
